org.apache.lucene.facet.index

## Interface CategoryListBuilder

All Known Implementing Classes:
  AssociationsListBuilder, CountingListBuilder

    public interface CategoryListBuilder

Builds a category list data by encoding the appropriate information for every category and ordinal given to `build(IntsRef, Iterable)`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

Methods
`Map<String,BytesRef>` `build(IntsRef ordinals, Iterable<CategoryPath> categories)` Returns the encoded ordinals data.

### Method Detail

#### build

    Map<String,BytesRef> build(IntsRef ordinals,
                             Iterable<CategoryPath> categories)
                               throws IOException

Returns the encoded ordinals data.

Throws:
  `IOException`